Package: org.gradle.api.distribution.plugins

## [Groovy] Class DistributionPlugin

- org.gradle.api.distribution.plugins.DistributionPlugin

- All Implemented Interfaces and Traits:
    Plugin

      @Incubating
      class DistributionPlugin
      extends Object

  A Plugin to package project as a distribution.

- - ### Constructor Summary

    Constructors
    Constructor and description
    `DistributionPlugin (org.gradle.internal.reflect.Instantiator instantiator, org.gradle.api.internal.file.FileOperations fileOperations)`

  - ### Methods Summary

    Methods
    Type | Name and description
    --- | ---
    `Task` | `addTarTask(Project project, Distribution distribution)`
    `Task` | `addZipTask(Project project, Distribution distribution)`
    `void` | `apply(org.gradle.api.internal.project.ProjectInternal project)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class Object` | `wait, wait, wait, equals, toString, hashCode, getClass, notify, notifyAll`

- - ### Constructor Detail

    - #### @javax.inject.Inject DistributionPlugin(org.gradle.internal.reflect.Instantiator instantiator, org.gradle.api.internal.file.FileOperations fileOperations)

  - ### Method Detail

    - #### Task addTarTask(Project project, Distribution distribution)

    - #### Task addZipTask(Project project, Distribution distribution)

    - #### void apply(org.gradle.api.internal.project.ProjectInternal project)